Name:		yokadi
Version:	1.2.0
Release:	%mkrel 9
Summary:	Command line oriented todo list system
Group:		Office/Organizer
License:	GPLv3+
URL:		https://yokadi.github.io/
Source0:	https://yokadi.github.io/download/%{name}-%{version}.tar.gz
Patch0:		yokadi-1.2.0-fix-dependencies.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
Yokadi is a command-line oriented, SQLite powered, TODO list tool.
It helps you organize all the things you have to do and you must not
forget.It aims to be simple, intuitive and very efficient.

In Yokadi you manage projects, which contains tasks. At the minimum,
a task has a title, but it can also have a description, a due date,
an urgency or keywords. Keywords can be any word that help you to find
and sort your tasks.

%prep
%autosetup -p1

sed -i -e '/^#!\//, 1d' {yokadi/yokadid.py,yokadi/createdemodb.py,yokadi/tests/tests.py}

%build
%py3_build

%install
%py3_install

%files
%doc NEWS README.md doc/*.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/yokadid
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/*.*


%changelog
* Wed Dec 27 2023 daviddavid <daviddavid> 1.2.0-9.mga10
+ Revision: 2022037
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.2.0-8.mga9
+ Revision: 1822636
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 1.2.0-7.mga9
+ Revision: 1774816
- rebuild for python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 1.2.0-6.mga9
+ Revision: 1706813
- Rebuild against python 3.9

* Sat Mar 20 2021 daviddavid <daviddavid> 1.2.0-5.mga9
+ Revision: 1705225
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1531840
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.2.0-3.mga8
+ Revision: 1441260
- replace pycrypto req with pycryptodome

* Sat Sep 14 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1440807
- rebuild for python3.8

* Mon Feb 11 2019 daviddavid <daviddavid> 1.2.0-1.mga7
+ Revision: 1365241
- new version: 1.2.0

* Thu Jan 10 2019 daviddavid <daviddavid> 1.1.1-4.mga7
+ Revision: 1354083
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1292210
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 daviddavid <daviddavid> 1.1.1-2.mga7
+ Revision: 1134752
- rebuild for Python 3.6

* Mon Dec 26 2016 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 1078011
- imported package yokadi

